Bug 101888 - Paragraph tab type icons should be painted with dialog background color
Summary: Paragraph tab type icons should be painted with dialog background color
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Dialog
  Show dependency treegraph
 
Reported: 2016-09-04 06:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-07 21:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (35.61 KB, image/png)
2016-09-04 06:06 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-04 06:06:55 UTC
Created attachment 127142 [details]
screenshot

Steps:
1) Open writer
2) Right-click > Paragraph
3) Switch to Tabs tab
4) Notice background around tab type icons is different than the dialog background color

The issue only show up in particular themes, like the default Ambiant-MATE theme in Ubuntu Mate.

Version: 5.3.0.0.alpha0+
Build ID: f7513f0f53f2d074c08610a68fb787bb379c31d4
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-09-02_23:58:05
Locale: en-US (en_US.UTF-8); Calc: group

Code pointer - http://opengrok.libreoffice.org/xref/core/cui/source/tabpages/tabstpge.cxx
Comment 1 Buovjaga 2016-09-24 18:18:10 UTC
I see it, when I force gtk3.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 3be5deadcb46e09d84d99b2b108b65b06ff356e9
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 24th 2016
Comment 2 Xisco Faulí 2017-09-29 08:49:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929